DRUO
Get started
Payments

Refund Payment

PUThttps://api.druo.com/payments/{transaction_uuid}/refund

Refunds a payment transaction.

Initiates a refund for a previously processed transaction identified by its UUID and returns the updated Transaction object.

Path parameters

transaction_uuidstringRequired

The unique identifier of the resource.

Request body

reasonstringRequired

The reason for the payment refund.

notestringoptional

An optional note describing the refund in detail.

Response

uuidstringoptional

The Transaction's UUID.

Example: trx_422f0f81-5001-4cce-a229-242d9ab9960a
codestringoptional

The Transaction's code.

Example: TXNMW9PCWE
statusstringoptional

The Transaction's status.

Possible values:CREATEDPENDINGPROCESSINGSUCCESSFULREFUNDEDDISPUTEDFAILEDCANCELEDREVERSED
Example: SUCCESSFUL
tenantobjectoptional

The tenant that originated the transaction.

Example: {"uuid": "ten_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20"}
typestringoptional

The type of transaction.

Example: PAYMENT
creation_sourcestringoptional

The creation source of the transaction.

Example: MERCHANT_PORTAL
amountintegeroptional

The transaction amount in the smallest denomination of the currency (e.g., in cents for USD). For example, $10.00 USD is represented as 1000.

Example: 10000
variable_feeintegeroptional

The variable fee amount for this transaction.

Example: 300
fixed_feeintegeroptional

The fixed fee amount for this transaction.

Example: 100
total_feeintegeroptional

The total fee amount charged for this transaction.

Example: 400
net_amountintegeroptional

The total net amount (amount minus total_fee) for this transaction.

Example: 9600
currencyobjectoptional

The currency code represented in ISO 4217 format.

Example: {"code":"USD"}
descriptionstringoptional

The description of this transaction. Users may see this description on receipts sent by DRUO on your behalf.

Example: Insurance policy renewal - INV12324
remarksstringoptional

The Transaction's remarks.

Example: REQUESTED_BY_MERCHANT
funding_sourceobjectoptional

The ID of the account used to fund this transaction.

Example: {"uuid": "acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340"}
statement_descriptorstringoptional

The description reported to institutions that appears on customer statement descriptors. Must contain at least one letter and be between 4 and 22 characters.

Example: NOVO BILLING* INV12324
primary_referencestringoptional

An optional primary ID associated with the transaction for your internal reference. Maximum length is 40 characters.

Example: ABC123
secondary_referencestringoptional

An optional secondary ID associated with the transaction for your internal reference. Maximum length is 40 characters.

Example: bj39fhow39fhqp3f0hfae4344
metadatastringoptional

A set of key-value pairs you can attach to the object. Up to 50 keys, with key names up to 40 characters and values up to 500 characters.

Example: {"order_id": "6735"}
decline_reasonstringoptional

The reason why a transaction was declined.

Example: INSUFFICIENT_FUNDS
auto_send_receiptbooleanoptional

If true, the system automatically generates and sends a receipt to the preferred contact method.

Example: false
due_datestringoptional

The date when the transaction will be processed.

Example: 2021-11-15
date_created_gmtstringoptional

The transaction creation date and time (GMT).

Example: 2021-11-15T23:23:38
date_updated_gmtstringoptional

The transaction's last updated date and time (GMT).

Example: 2021-11-15T23:23:38
NextPOSTCreate Payout